@charset "UTF-8";

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    min-height: 100vh;

    background: linear-gradient(180deg,#ffffff, #9c9c9c70);

    /* Fuente de la pagina */
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: white;
    text-shadow: 1rem 1rem 7rem rgba(0, 0, 0, 0.822);
}

a {
    color: white;
}

a:visited {
    color: rgb(216, 216, 216);
}

/* HEADER, ASIDE Y FORMULARIO*/

/* header y hijos*/

header {
    
    position: sticky;
    top:0;
    left: 0;
    width: 100%;
    
    height: 5vh;

    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;

    background: linear-gradient( #002f5e, #0080ff);
    padding: 0 20px;
    box-sizing: border-box;

    gap: 1rem;
}

.himg {

    width: 4rem;
    height: auto;
}

/*padre de aside y form y hijos de aside*/

.fsection {
    display: flex;
    justify-content: stretch;
    align-items: center;
    flex: 1;
    gap: 1em;
}


.left-wside {
   
    position: relative;
    display: flex;
    flex-wrap: wrap;
    flex: 0 0 900px;
    height: 95vh;
    z-index: 999;
    
    
    box-sizing: border-box;
    padding: 1rem;
    justify-content: center;
    align-items: flex-start;

    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 2rem;
    background: linear-gradient(#002f5e, #0080ff);
    box-shadow: 1rem 1rem 4rem rgb(0,0,0,0.5);
}

.aside-img {
    position: relative;
    display: flex;
    justify-content: center;
    

    height: 30rem;
    width: auto;
}

.center-welcome-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 20px;
}

.span-welcome {
    position: relative;
    display: flex;
    top: 0;
    left: 0;
    justify-content: center;
    font-size: 4rem;
}


@media (max-width: 500px) {
    .center-welcome-text span {
        font-size: 1rem;
        height: auto;
    }
    .aside-img {
        max-height: 10rem;
        width: auto;
        object-fit: contain;
        justify-content: center;
        ;
    }
    header {
        flex-direction: column;
        height: auto;
        width: 100%;
        margin: 0;
        justify-content: center;
        align-items: center;
        
    }
    .fsection {
        flex-direction: column;
        align-items: center;
        box-sizing: border-box;
        width: 100%;
    }
    .left-wside {
        align-items: center;
        width: 100%;
        gap: 1rem;
        height: auto !important;
        min-height: 0 !important;
        flex: none !important;
    }
    .login-form {
        width: 90%;
        margin-top: 29px;
    }
}


header span {
    color: white;
}

.login-form {

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    grid-template-columns: 250px 1fr;
    color: black;
}

form .brand-name{
    margin-bottom: 4rem;
}

.emoji-wave {
    text-shadow: none !important;
    display: inline-block;
}

.brand-name {
    font-size: 2rem;
    display: flex;
}

.welcome-back {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1.5rem;
    display: flex;
    gap: 10px
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.input-group > div {
    display: flex;
    align-items: center;
}

.input-group label {
    width: 150px;
    text-align: left;
    margin-right: 10px;
}

input {
    border-radius: .5rem;
}
